/* error.h: afdrukken van waarschuwingen, fouten, fatale fouten  */

#ifndef _ERROR_H_
#define _ERROR_H_

#ifndef NULL
#define NULL (char *)0
#endif /*NULL*/

#ifndef FALSE
#define FALSE 0
#endif /*FALSE*/

#ifndef TRUE
#define TRUE 1
#endif /*TRUE*/

#define Info VRMLInfo
#define Warning VRMLWarning
#define Error VRMLError
#define Fatal VRMLFatal

extern void VRMLInfo(char *routine, char *text, ...);
extern void VRMLError(char *routine, char *text, ...);
extern void VRMLWarning(char *routine, char *text, ...);
extern void VRMLFatal(int errcode, char *routine, char *text, ...);

#endif /*_ERROR_H_*/
